Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class MultiHashtable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.apache.xalan.xsltc.compiler.util.MultiHashtable

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class MultiHashtable
extends java.util.Hashtable

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen
See Also:
  Serialized Form

Constructor Summary
`MultiHashtable()`

Method Summary
`java.lang.Object` | `maps(java.lang.Object from, java.lang.Object to)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiHashtable

    public MultiHashtable()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

### maps

    public java.lang.Object maps(java.lang.Object from,
                                 java.lang.Object to)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.